Skip to main content
GET
Get an approval by ID
Returns one pending approval of a run you may read; an answered approval, or one you may not read, is 404. See Row visibility.

Authorizations

Authorization
string
header
required

An External App: the JWT it obtains from POST /oauth/token with OAuth2 client_credentials. Pass as Authorization: Bearer <jwt>. An app's static companion key also authenticates as the app, but is deprecated and is not protected by Idempotency-Key.

Path Parameters

approvalId
string
required

Response

Approval detail

data
object
required

A pending (waiting or escalated) human node of a workflow run the caller may read.

meta
object
required